Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pep
Class PEPServiceManager

    java.lang.Object
      org.jivesoftware.openfire.pep.PEPServiceManager

    public class PEPServiceManager

extends Object

Manages the creation, persistence and removal of `PEPService` instances.

Author:
  Guus der Kinderen, guus.der.kinderen@gmail.com

Field Summary
`static org.slf4j.Logger` | `Log`

Constructor Summary
`PEPServiceManager()`

Method Summary
`PEPService` | `create(org.xmpp.packet.JID owner)`
`PEPService` | `getPEPService(String jid)` Retrieves a PEP service -- attempting first from memory, then from the database.
`boolean` | `hasCachedService(org.xmpp.packet.JID owner)`
`void` | `process(PEPService service, org.xmpp.packet.IQ iq)`
`void` | `remove(org.xmpp.packet.JID owner)` Deletes the `PEPService` belonging to the specified owner.
`void` | `start()`
`void` | `start(PEPService pepService)`
`void` | `stop()`
`void` | `unload(PEPService service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Log

    public static final org.slf4j.Logger Log

Constructor Detail

### PEPServiceManager

    public PEPServiceManager()

Method Detail

### getPEPService

    public PEPService getPEPService(String jid)

  Retrieves a PEP service -- attempting first from memory, then from the database.

  Parameters:
    `jid` - the bare JID of the user that owns the PEP service.
  Returns:
    the requested PEP service if found or null if not found.

### create

    public PEPService create(org.xmpp.packet.JID owner)

### remove

    public void remove(org.xmpp.packet.JID owner)

  Deletes the `PEPService` belonging to the specified owner.

  Parameters:
    `owner` - The JID of the owner of the service to be deleted.

### start

    public void start(PEPService pepService)

### start

    public void start()

### stop

    public void stop()

### process

    public void process(PEPService service,
                        org.xmpp.packet.IQ iq)

### hasCachedService

    public boolean hasCachedService(org.xmpp.packet.JID owner)

### unload

    public void unload(PEPService service)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.